/*
 * This file includes declarations for the tree models
 * that were used to render some of the images on http://osm2world.org/
 *
 * Add these declarations to your osm2world_definitions.inc file,
 * and make sure that POVRay can find the coniferous_13.inc and
 * broad_leaved_13.inc files!
 *
 * The trees were created using Arbaro (http://arbaro.sourceforge.net/).
 */ 
 
#include "coniferous_13.inc"
#include "broad_leaved_13.inc"

#declare broad_leaved_tree=object { union {
	object { quaking_aspen_13_stems pigment {color rgb <1,0.8,0.8>} }
	#if (strcmp(season, "winter")!=0)
		object { quaking_aspen_13_leaves texture { pigment {color rgb <0,1,0.2>} finish { ambient 0.15 diffuse 0.8 }}}
	#end
	scale (1/quaking_aspen_13_height)
} }

#declare coniferous_tree=object { union {
	object { european_larch_13_stems pigment {color rgb <1,0.8,0.8>} }
	object { european_larch_13_leaves texture { pigment {color rgb <0,1,0.2>} finish { ambient 0.15 diffuse 0.8 }}}
	scale (1/european_larch_13_height)
} }
